Skip to navigation

AttachAdminRole

View as Markdown

Attaches the admin role(s) to the already existing admin(s).

Example request: Bind the all admin users with the admin roles 1, 2 and 3.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

required_admin_user_idlist of integersOptional

The admin user ID list separated by semicolons (;). Use the 'all' value to select all admin users. Required unless required_admin_user_name is provided.

required_admin_user_namelist of stringsOptional

The admin user name to bind. Required unless required_admin_user_id is provided.

admin_role_idlist of integersOptional

The role(s) ID created via Managing Admin Roles methods. The attached admin role ID list separated by semicolons (;). Use the 'all' value to select alladmin roles. Required unless admin_role_name is provided.

admin_role_namelist of stringsOptional

The role(s) name(s) created via Managing Admin Roles methods. The admin role name to attach. Required unless admin_role_id is provided.

modestringOptionalDefaults to set

The merge mode. The following values are possible: add, del, set

Response

Successful response
resultintegerOptional
Returns 1 if the request has been completed successfully